within ;
model RPkihyb2
  ArgesimLib.SwitchableFreefall switchableFall(N=4, s0={1,0,0,0},
    sOff={1,0,0,0})                                                annotation (Placement(transformation(extent={{-2,34},
            {18,54}})));
  ArgesimLib.SystemSwitch systemSwitch  annotation (Placement(transformation(extent={{-26,12},{-6,32}})));
  ArgesimLib.computeRPPlotVariables computeRPPlotVariables  annotation (Placement(transformation(extent={{-26,-20},
            {-6,0}})));
  ArgesimLib.SwitchablePendulumKickM switchablePendulumKickM(gamma=-21.9912)
    annotation (Placement(transformation(extent={{-38,34},{-58,54}})));
equation
  connect(systemSwitch.new2, switchableFall.newState)  annotation (Line(points={{-12,
          32.2},{-12,50},{-2,50}},                                                                            color={0,0,127}));
  connect(switchableFall.stateOut, systemSwitch.state2) annotation (Line(points={{18,50},
          {22,50},{22,4},{-10,4},{-10,12}},         color={0,0,127}));
  connect(systemSwitch.active2, switchableFall.active) annotation (Line(points={{-9.8,
          32.2},{-9.8,38},{-2,38}},        color={255,0,255}));
  connect(switchableFall.stateOut, computeRPPlotVariables.s2) annotation (Line(
        points={{18,50},{22,50},{22,-26},{-10,-26},{-10,-20}},
                                                             color={0,0,127}));
  connect(systemSwitch.active1, switchablePendulumKickM.active) annotation (
      Line(points={{-20,32.2},{-20,38},{-38,38}}, color={255,0,255}));
  connect(systemSwitch.new1, switchablePendulumKickM.newState) annotation (Line(
        points={{-22.2,32.2},{-22.2,50},{-38,50}}, color={0,0,127}));
  connect(switchablePendulumKickM.stateOut, computeRPPlotVariables.s1)
    annotation (Line(points={{-58,50},{-62,50},{-62,-26},{-22,-26},{-22,-20}},
        color={0,0,127}));
  connect(computeRPPlotVariables.isSwinging, switchablePendulumKickM.active)
    annotation (Line(points={{-26.6,-10},{-32,-10},{-32,38},{-38,38}}, color={
          255,0,255}));
  connect(systemSwitch.state1, switchablePendulumKickM.stateOut) annotation (
      Line(points={{-22,12},{-22,6},{-62,6},{-62,50},{-58,50}}, color={0,0,127}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(
      StopTime=20,
      __Dymola_NumberOfIntervals=2000,
      Tolerance=1e-10,
      __Dymola_Algorithm="Dassl"));
end RPkihyb2;
