within ;
model BBevf1a
  import Modelica.Blocks.Types.Init;
  Modelica.Blocks.Sources.Constant const(k=-9.81) annotation (Placement(transformation(extent={{-78,38},
            {-58,58}})));
  Modelica.Blocks.Continuous.LimIntegrator limIntegrator(
    outMax=100, outMin=0, initType=Init.InitialState, y_start=10) annotation (Placement(transformation(extent={{-6,38},
            {14,58}})));
  ArgesimLib.ResetIntegrator resetIntegrator1(y_start=0)
    annotation (Placement(transformation(extent={{-44,38},{-24,58}})));
  Modelica.Blocks.Math.Gain gain(k=-0.9)
    annotation (Placement(transformation(extent={{-28,6},{-48,26}})));
  ArgesimLib.NegZeroCrossing negZeroCrossing
    annotation (Placement(transformation(extent={{24,38},{44,58}})));
equation
  connect(const.y, resetIntegrator1.u)
    annotation (Line(points={{-57,48},{-46,48}}, color={0,0,127}));
  connect(resetIntegrator1.y, limIntegrator.u)
    annotation (Line(points={{-23,48},{-8,48}}, color={0,0,127}));
  connect(gain.y, resetIntegrator1.y0) annotation (Line(points={{-49,16},{-52,16},
          {-52,41},{-46,41}},     color={0,0,127}));
  connect(gain.u, limIntegrator.u) annotation (Line(points={{-26,16},{-16,16},{-16,
          48},{-8,48}},     color={0,0,127}));
  connect(limIntegrator.y, negZeroCrossing.u)
    annotation (Line(points={{15,48},{22,48}}, color={0,0,127}));
  connect(negZeroCrossing.y, resetIntegrator1.r) annotation (Line(points={{45,
          48},{50,48},{50,68},{-34,68},{-34,59}}, color={255,0,255}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(StopTime=30));
end BBevf1a;
