within ;
model BBevf3
  ArgesimLib.Gravity1d gravity1d annotation (Placement(transformation(extent={{-80,40},{-60,60}})));
  Modelica.Mechanics.Translational.Components.Mass mass(
    s(start=10, fixed=true),
    m=1,
    v(start=0, fixed=true))
    annotation (Placement(transformation(extent={{-44,40},{-24,60}})));
  ArgesimLib.Hardstop1dA hardstop1dA
    annotation (Placement(transformation(extent={{-12,40},{8,60}})));
equation
  connect(gravity1d.flange, mass.flange_a)
    annotation (Line(points={{-60,50},{-44,50}}, color={0,127,0}));
  connect(mass.flange_b, hardstop1dA.flange_a)
    annotation (Line(points={{-24,50},{-12,50}}, color={0,127,0}));
  annotation (
    Icon(coordinateSystem(preserveAspectRatio=false)),
    Diagram(coordinateSystem(preserveAspectRatio=false)),
    uses(Modelica(version="3.2.2")),
    experiment(StopTime=30, __Dymola_NumberOfIntervals=2000));
end BBevf3;
